default_install_hook_types:
  - pre-commit
  - commit-msg

repos:
  - repo: https://github.com/gitleaks/gitleaks
    rev: v8.21.2
    hooks:
      - id: gitleaks
        stages: [pre-commit]

  - repo: local
    hooks:
      - id: nixpkgs-fmt
        name: Check nix formatting
        entry: nixfmt
        language: system
        files: .*\.nix$
        args: [-c]
        stages: [pre-commit]

      - id: prettier
        name: Check css, scss, js, ts and yaml formatting
        entry: prettier
        language: system
        files: .*\.(css|scss|js|ts|yaml)$
        args: [-c]
        stages: [pre-commit]

      - id: typos
        name: Check for typos
        entry: typos
        language: system
        files: .*
        exclude: .*\.(png|jpg|jpeg|age)
        stages: [pre-commit]
